gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Misc.Viewport

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

An adapter which makes widgets scrollable

Synopsis

- data Viewport
- class BinClass o => ViewportClass o
- data ShadowType
  - = ShadowNone
  - | ShadowIn
  - | ShadowOut
  - | ShadowEtchedIn
  - | ShadowEtchedOut
- castToViewport :: GObjectClass obj => obj -> Viewport
- gTypeViewport :: GType
- toViewport :: ViewportClass o => o -> Viewport
- viewportNew :: Maybe Adjustment -> Maybe Adjustment -> IO Viewport
- viewportGetHAdjustment :: ViewportClass self => self -> IO Adjustment
- viewportGetVAdjustment :: ViewportClass self => self -> IO Adjustment
- viewportSetHAdjustment :: ViewportClass self => self -> Adjustment -> IO ()
- viewportSetVAdjustment :: ViewportClass self => self -> Adjustment -> IO ()
- viewportSetShadowType :: ViewportClass self => self -> ShadowType -> IO ()
- viewportGetShadowType :: ViewportClass self => self -> IO ShadowType
- viewportGetBinWindow :: ViewportClass self => self -> IO DrawWindow
- viewportGetViewWindow :: ViewportClass self => self -> IO DrawWindow
- viewportHAdjustment :: ViewportClass self => Attr self Adjustment
- viewportVAdjustment :: ViewportClass self => Attr self Adjustment
- viewportShadowType :: ViewportClass self => Attr self ShadowType

# Detail

A `Viewport` is a helper widget that adds Adjustment slots to a widget, i.e. the widget becomes scrollable. It can then be put into `ScrolledWindow` and will behave as expected.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Viewport

# Types

data Viewport Source #

#### Instances

Instances details

Eq Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Viewport -> Viewport -> Bool Source # (/=) :: Viewport -> Viewport -> Bool Source #
Ord Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: Viewport -> Viewport -> Ordering Source # (<) :: Viewport -> Viewport -> Bool Source # (<=) :: Viewport -> Viewport -> Bool Source # (>) :: Viewport -> Viewport -> Bool Source # (>=) :: Viewport -> Viewport -> Bool Source # max :: Viewport -> Viewport -> Viewport Source # min :: Viewport -> Viewport -> Viewport Source #
GObjectClass Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Viewport -> GObject Source # unsafeCastGObject :: GObject -> Viewport Source #
BinClass Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ViewportClass Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class BinClass o => ViewportClass o Source #

#### Instances

Instances details

ViewportClass Viewport Source # |
Instance details Defined in Graphics.UI.Gtk.Types

data ShadowType Source #

Shadow types

Constructors

ShadowNone |
ShadowIn |
ShadowOut |
ShadowEtchedIn |
ShadowEtchedOut |

#### Instances

Instances details

Enum ShadowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ShadowType -> ShadowType Source #

pred :: ShadowType -> ShadowType Source #

toEnum :: Int -> ShadowType Source #

fromEnum :: ShadowType -> Int Source #

enumFrom :: ShadowType -> [ShadowType] Source #

enumFromThen :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromTo :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromThenTo :: ShadowType -> ShadowType -> ShadowType -> [ShadowType] Source #

Show ShadowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ShadowType -> ShowS Source # show :: ShadowType -> String Source # showList :: [ShadowType] -> ShowS Source #
Eq ShadowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ShadowType -> ShadowType -> Bool Source # (/=) :: ShadowType -> ShadowType -> Bool Source #

castToViewport :: GObjectClass obj => obj -> Viewport Source #

gTypeViewport :: GType Source #

toViewport :: ViewportClass o => o -> Viewport Source #

# Constructors

viewportNew Source #

Arguments

:: Maybe Adjustment | `hadjustment` - horizontal adjustment.
-> Maybe Adjustment | `vadjustment` - vertical adjustment.
-> IO Viewport |

Creates a new `Viewport` with the given adjustments.

# Methods

viewportGetHAdjustment :: ViewportClass self => self -> IO Adjustment Source #

Returns the horizontal adjustment of the viewport.

viewportGetVAdjustment :: ViewportClass self => self -> IO Adjustment Source #

Returns the vertical adjustment of the viewport.

viewportSetHAdjustment :: ViewportClass self => self -> Adjustment -> IO () Source #

Sets the horizontal adjustment of the viewport.

viewportSetVAdjustment :: ViewportClass self => self -> Adjustment -> IO () Source #

Sets the vertical adjustment of the viewport.

viewportSetShadowType Source #

Arguments

:: ViewportClass self |
=> self |
-> ShadowType | `type` - the new shadow type.
-> IO () |

Sets the shadow type of the viewport.

viewportGetShadowType Source #

Arguments

:: ViewportClass self |
=> self |
-> IO ShadowType | returns the shadow type

Gets the shadow type of the `Viewport`. See `viewportSetShadowType`.

viewportGetBinWindow :: ViewportClass self => self -> IO DrawWindow Source #

Gets the bin window of the `Viewport`.

- Available since Gtk version 2.20

viewportGetViewWindow :: ViewportClass self => self -> IO DrawWindow Source #

Gets the view window of the `Viewport`.

- Available since Gtk+ version 2.22

# Attributes

viewportHAdjustment :: ViewportClass self => Attr self Adjustment Source #

The `Adjustment` that determines the values of the horizontal position for this viewport.

viewportVAdjustment :: ViewportClass self => Attr self Adjustment Source #

The `Adjustment` that determines the values of the vertical position for this viewport.

viewportShadowType :: ViewportClass self => Attr self ShadowType Source #

Determines how the shadowed box around the viewport is drawn.

Default value: `ShadowIn`